## girara 0.1.0

=== Makefile ===
# See LICENSE file for license and copyright information

include config.mk
include common.mk

PROJECTNV = girara
PROJECT   = girara-gtk${GIRARA_GTK_VERSION}
SOURCE    = $(wildcard *.c)
OBJECTS   = ${SOURCE:.c=-gtk${GIRARA_GTK_VERSION}.o}
DOBJECTS  = ${SOURCE:.c=-gtk${GIRARA_GTK_VERSION}.do}
HEADERS   = $(shell find . -maxdepth 1 -name "*.h" -a ! -name "internal.h" -a ! -name "version.h")
HEADERS_INSTALL = ${HEADERS} version.h

all: options ${PROJECT}

options:
	@echo ${PROJECT} build options:
	@echo "CFLAGS  = ${CFLAGS}"
	@echo "LDFLAGS = ${LDFLAGS}"
	@echo "DFLAGS  = ${DFLAGS}"
	@echo "CC      = ${CC}"

version.h: version.h.in config.mk
	$(QUIET)sed 's/GVMAJOR/${GIRARA_VERSION_MAJOR}/' < version.h.in | \
		sed 's/GVMINOR/${GIRARA_VERSION_MINOR}/' | \
		sed 's/GVREV/${GIRARA_VERSION_REV}/' > version.h

%-gtk${GIRARA_GTK_VERSION}.o: %.c
	@mkdir -p .depend
	$(ECHO) CC $<
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

%-gtk${GIRARA_GTK_VERSION}.do: %.c
	@mkdir -p .depend
	$(ECHO) CC $<
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

${OBJECTS}:  config.mk version.h
${DOBJECTS}: config.mk version.h

${PROJECT}: lib${PROJECT}.a lib${PROJECT}.so.${SOVERSION}

lib${PROJECT}.a: ${OBJECTS}
	$(ECHO) AR rcs $@
	$(QUIET)ar rcs $@ ${OBJECTS}

lib${PROJECT}.so.${SOVERSION}: ${OBJECTS}
	$(ECHO) LD $@
	$(QUIET)${CC} -Wl,-soname,lib${PROJECT}.so.${SOMAJOR} -shared ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}

clean:
	$(QUIET)rm -rf ${OBJECTS} ${PROJECT}-${VERSION}.tar.gz \
		${DOBJECTS} lib${PROJECT}.a lib${PROJECT}-debug.a ${PROJECT}.pc doc \
		lib$(PROJECT).so.${SOVERSION} lib${PROJECT}-debug.so.${SOVERSION} .depend \
		${PROJECTNV}-${VERSION}.tar.gz version.h *gcda *gcno $(PROJECT).info gcov
	$(QUIET)${MAKE} -C tests clean

${PROJECT}-debug: lib${PROJECT}-debug.a lib${PROJECT}-debug.so.${SOVERSION}

lib${PROJECT}-debug.a: ${DOBJECTS}
	$(ECHO) AR rcs $@
	$(QUIET)ar rc $@ ${DOBJECTS}

lib${PROJECT}-debug.so.${SOVERSION}: ${DOBJECTS}
	$(ECHO) LD $@
	$(QUIET)${CC} -Wl,-soname,lib${PROJECT}.so.${SOMAJOR} -shared ${LDFLAGS} -o $@ ${DOBJECTS} ${LIBS}

debug: options ${PROJECT}-debug

doc:
	$(QUIET)doxygen Doxyfile

gcov: clean
	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} $(PROJECT)
	$(QUIET)${MAKE} -C tests
	$(QUIET)lcov --directory . --capture --output-file $(PROJECT).info
	$(QUIET)genhtml --output-directory gcov $(PROJECT).info

test: ${PROJECT}
	$(QUIET)${MAKE} -C tests run

test-debug: debug
	$(QUIET)${MAKE} -C tests run-debug

dist: clean
	$(QUIET)mkdir -p ${PROJECTNV}-${VERSION}
	$(QUIET)mkdir -p ${PROJECTNV}-${VERSION}/tests
	$(QUIET)cp LICENSE Makefile config.mk common.mk ${PROJECTNV}.pc.in \
		${HEADERS} internal.h version.h.in README AUTHORS Doxyfile \
		${SOURCE} ${PROJECTNV}-${VERSION}
	$(QUIET)cp tests/*.c tests/Makefile tests/config.mk ${PROJECTNV}-${VERSION}/tests
	$(QUIET)tar -cf ${PROJECTNV}-${VERSION}.tar ${PROJECTNV}-${VERSION}
	$(QUIET)gzip ${PROJECTNV}-${VERSION}.tar
	$(QUIET)rm -rf ${PROJECTNV}-${VERSION}

${PROJECT}.pc: ${PROJECTNV}.pc.in config.mk
	$(QUIET)echo project=${PROJECT} > ${PROJECT}.pc
	$(QUIET)echo version=${VERSION} >> ${PROJECT}.pc
	$(QUIET)echo includedir=${INCLUDEDIR} >> ${PROJECT}.pc
	$(QUIET)echo libdir=${LIBDIR} >> ${PROJECT}.pc
	$(QUIET)echo GTK_VERSION=${GIRARA_GTK_VERSION} >> ${PROJECT}.pc
	$(QUIET)cat ${PROJECTNV}.pc.in >> ${PROJECT}.pc

install: all ${PROJECT}.pc install-headers
	$(ECHO) installing library file
	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}
	$(QUIET)install -m 644 lib${PROJECT}.a ${DESTDIR}${LIBDIR}
	$(QUIET)install -m 644 lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}
	$(QUIET)ln -s lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}/lib${PROJECT}.so.${SOMAJOR} || \
		echo "Failed to create lib${PROJECT}.so.${SOMAJOR}. Please check if it exists and points to the correct version of lib${PROJECT}.so."
	$(QUIET)ln -s lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}/lib${PROJECT}.so || \
		echo "Failed to create lib${PROJECT}.so. Please check if it exists and points to the correct version of lib${PROJECT}.so."
	$(ECHO) installing pkgconfig file
	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}/pkgconfig
	$(QUIET)install -m 644 ${PROJECT}.pc ${DESTDIR}${LIBDIR}/pkgconfig

install-headers: version.h
	$(ECHO) installing header files
	$(QUIET)mkdir -p ${DESTDIR}${INCLUDEDIR}/girara
	$(QUIET)install -m 644 ${HEADERS_INSTALL} ${DESTDIR}${INCLUDEDIR}/girara

uninstall: uninstall-headers
	$(ECHO) removing library file
	$(QUIET)rm -f ${LIBDIR}/lib${PROJECT}.a ${LIBDIR}/lib${PROJECT}.so.${SOVERSION} \
		${LIBDIR}/lib${PROJECT}.so.${SOMAJOR} ${LIBDIR}/lib${PROJECT}.so
	$(ECHO) removing pkgconfig file
	$(QUIET)rm -f ${LIBDIR}/pkgconfig/${PROJECT}.pc

uninstall-headers:
	$(ECHO) removing header files
	$(QUIET)rm -rf ${INCLUDEDIR}/girara

.PHONY: all options clean debug doc test dist install install-headers uninstall uninstall-headers ${PROJECT} ${PROJECT}-debug

TDEPENDS = ${OBJECTS:.o=.o.dep}
DEPENDS = ${TDEPENDS:^=.depend/}
-include ${DEPENDS}

=== debian/changelog ===
girara (0.1.0-1) experimental; urgency=low

  [ Sebastian Ramacher ]
  * Initial release (Closes: #660789)

  [ Jakub Wilk ]
  * Add myself to Uploaders.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 01 Mar 2012 17:57:14 +0100

=== debian/control ===
Source: girara
Section: libs
Priority: optional
Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
Uploaders: Jakub Wilk <jwilk@debian.org>
Build-Depends:
 check,
 debhelper (>= 9),
 libgtk-3-dev,
 libgtk2.0-dev,
 pkg-config,
 xauth,
 xvfb
Build-Depends-Indep:
 doxygen
Standards-Version: 3.9.3
Homepage: http://pwmt.org/projects/girara/

Package: libgirara-gtk2-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 libgirara-dbg (= ${binary:Version})
Breaks:
 libgirara-dbg (<< ${binary:Version})
Description: library for minimalistic user interfaces (shared libraries, GTK+ 2)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the shared libraries linked against GTK+ 2.

Package: libgirara-gtk3-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 libgirara-dbg (= ${binary:Version})
Breaks:
 libgirara-dbg (<< ${binary:Version})
Description: library for minimalistic user interfaces (shared libraries, GTK+ 3)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the shared libraries linked against GTK+ 3.

Package: libgirara-dbg
Architecture: any
Section: debug
Multi-Arch: same
Priority: extra
Depends:
 libgirara-gtk2-0 | libgirara-gtk3-0,
 ${misc:Depends}
Breaks:
 libgirara-gtk2-0 (<< ${binary:Version}),
 libgirara-gtk3-0 (<< ${binary:Version})
Description: library for minimalistic user interfaces (debugging symbols)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the debugging symbols for the shared library.

Package: libgirara-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgirara-gtk2-0 (= ${binary:Version}),
 libgirara-gtk3-0 (= ${binary:Version}),
 libgtk2.0-dev,
 libgtk-3-dev,
 ${misc:Depends}
Suggests:
 libgirara-doc (= ${source:Version})
Description: library for minimalistic user interfaces (development files)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the development files.

Package: libgirara-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends}
Description: library for minimalistic user interfaces (documentation)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1
# install into multiarch libdir
export LIBDIR=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	set -e; for gtkver in 2 3 ; do \
		GIRARA_GTK_VERSION=$$gtkver $(MAKE) clean ; \
	done

override_dh_auto_build-arch:
	set -e; for gtkver in 2 3 ; do \
		GIRARA_GTK_VERSION=$$gtkver $(MAKE) ; \
	done

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run sh -c 'set -e; for gtkver in 2 3 ; do \
		GIRARA_GTK_VERSION=$$gtkver $(MAKE) test ; \
	done'
endif

override_dh_auto_install-arch:
	set -e; for gtkver in 2 3 ; do \
		GIRARA_GTK_VERSION=$$gtkver $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp ; \
	done

override_dh_strip:
	dh_strip --dbg-package=libgirara-dbg

override_dh_auto_build-indep:
	# build documentation if doxygen is available and remove the copy of jquery
	# and replace it with the one from libjs-jquery
ifneq "$(wildcard /usr/bin/doxygen)" ""
	$(MAKE) doc ;
	rm doc/html/installdox doc/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js
endif

# no tests and install for indep
override_dh_auto_test-indep override_dh_auto_install-indep:

## girara 0.1.1

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,17 @@
 SOURCE    = $(wildcard *.c)
 OBJECTS   = ${SOURCE:.c=-gtk${GIRARA_GTK_VERSION}.o}
 DOBJECTS  = ${SOURCE:.c=-gtk${GIRARA_GTK_VERSION}.do}
-HEADERS   = $(shell find . -maxdepth 1 -name "*.h" -a ! -name "internal.h" -a ! -name "version.h")
+HEADERS   = $(filter-out version.h,$(filter-out internal.h,$(wildcard *.h)))
 HEADERS_INSTALL = ${HEADERS} version.h
+
+
+ifeq (,$(findstring -DGETTEXT_PACKAGE,${CPPFLAGS}))
+CPPFLAGS += -DGETTEXT_PACKAGE=\"${PROJECTNV}\"
+endif
+ifeq (,$(findstring -DLOCALEDIR,${CPPFLAGS}))
+CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
+endif
+
 
 all: options ${PROJECT}
 
@@ -54,6 +63,7 @@
 		lib$(PROJECT).so.${SOVERSION} lib${PROJECT}-debug.so.${SOVERSION} .depend \
 		${PROJECTNV}-${VERSION}.tar.gz version.h *gcda *gcno $(PROJECT).info gcov
 	$(QUIET)${MAKE} -C tests clean
+	$(QUIET)${MAKE} -C po clean
 
 ${PROJECT}-debug: lib${PROJECT}-debug.a lib${PROJECT}-debug.so.${SOVERSION}
 
@@ -72,7 +82,7 @@
 
 gcov: clean
 	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} $(PROJECT)
-	$(QUIET)${MAKE} -C tests
+	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} test
 	$(QUIET)lcov --directory . --capture --output-file $(PROJECT).info
 	$(QUIET)genhtml --output-directory gcov $(PROJECT).info
 
@@ -85,10 +95,12 @@
 dist: clean
 	$(QUIET)mkdir -p ${PROJECTNV}-${VERSION}
 	$(QUIET)mkdir -p ${PROJECTNV}-${VERSION}/tests
+	$(QUIET)mkdir -p ${PROJECTNV}-${VERSION}/po
 	$(QUIET)cp LICENSE Makefile config.mk common.mk ${PROJECTNV}.pc.in \
 		${HEADERS} internal.h version.h.in README AUTHORS Doxyfile \
 		${SOURCE} ${PROJECTNV}-${VERSION}
 	$(QUIET)cp tests/*.c tests/Makefile tests/config.mk ${PROJECTNV}-${VERSION}/tests
+	$(QUIET)cp po/Makefile po/*.po ${PROJECTNV}-${VERSION}/po
 	$(QUIET)tar -cf ${PROJECTNV}-${VERSION}.tar ${PROJECTNV}-${VERSION}
 	$(QUIET)gzip ${PROJECTNV}-${VERSION}.tar
 	$(QUIET)rm -rf ${PROJECTNV}-${VERSION}
@@ -101,7 +113,13 @@
 	$(QUIET)echo GTK_VERSION=${GIRARA_GTK_VERSION} >> ${PROJECT}.pc
 	$(QUIET)cat ${PROJECTNV}.pc.in >> ${PROJECT}.pc
 
-install: all ${PROJECT}.pc install-headers
+po:
+	$(QUIET)${MAKE} -C po
+
+update-po:
+	$(QUIET)${MAKE} -C po update-po
+
+install: all install-headers po
 	$(ECHO) installing library file
 	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}
 	$(QUIET)install -m 644 lib${PROJECT}.a ${DESTDIR}${LIBDIR}
@@ -110,11 +128,12 @@
 		echo "Failed to create lib${PROJECT}.so.${SOMAJOR}. Please check if it exists and points to the correct version of lib${PROJECT}.so."
 	$(QUIET)ln -s lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}/lib${PROJECT}.so || \
 		echo "Failed to create lib${PROJECT}.so. Please check if it exists and points to the correct version of lib${PROJECT}.so."
+	$(QUIET)${MAKE} -C po install
+
+install-headers: version.h ${PROJECT}.pc
 	$(ECHO) installing pkgconfig file
 	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}/pkgconfig
 	$(QUIET)install -m 644 ${PROJECT}.pc ${DESTDIR}${LIBDIR}/pkgconfig
-
-install-headers: version.h
 	$(ECHO) installing header files
 	$(QUIET)mkdir -p ${DESTDIR}${INCLUDEDIR}/girara
 	$(QUIET)install -m 644 ${HEADERS_INSTALL} ${DESTDIR}${INCLUDEDIR}/girara
@@ -123,14 +142,16 @@
 	$(ECHO) removing library file
 	$(QUIET)rm -f ${LIBDIR}/lib${PROJECT}.a ${LIBDIR}/lib${PROJECT}.so.${SOVERSION} \
 		${LIBDIR}/lib${PROJECT}.so.${SOMAJOR} ${LIBDIR}/lib${PROJECT}.so
-	$(ECHO) removing pkgconfig file
-	$(QUIET)rm -f ${LIBDIR}/pkgconfig/${PROJECT}.pc
+	$(QUIET)${MAKE} -C po uninstall
 
 uninstall-headers:
 	$(ECHO) removing header files
 	$(QUIET)rm -rf ${INCLUDEDIR}/girara
+	$(ECHO) removing pkgconfig file
+	$(QUIET)rm -f ${LIBDIR}/pkgconfig/${PROJECT}.pc
 
-.PHONY: all options clean debug doc test dist install install-headers uninstall uninstall-headers ${PROJECT} ${PROJECT}-debug
+.PHONY: all options clean debug doc test dist install install-headers uninstall \
+	uninstall-headers ${PROJECT} ${PROJECT}-debug po update-po
 
 TDEPENDS = ${OBJECTS:.o=.o.dep}
 DEPENDS = ${TDEPENDS:^=.depend/}

=== po/Makefile ===
# See LICENSE file for license and copyright information

PROJECT  = girara
CATALOGS = $(wildcard *.po)
MOS = $(patsubst %.po, %/LC_MESSAGES/${PROJECT}.mo, $(CATALOGS))

include ../config.mk
include ../common.mk

all: ${MOS}

clean:
	$(QUIET)rm -rf POTFILES.in POTFILES.in.tmp $(patsubst %.po, %, $(CATALOGS)) ${PROJECT}.pot

POTFILES.in: $(wildcard ../*.c)
	$(QUIET) set -e && rm -f $@.tmp && touch $@.tmp && \
	for f in $(^F) ; do \
		echo $$f >> $@.tmp ; \
	done && \
	mv $@.tmp $@

${PROJECT}.pot: POTFILES.in
	$(ECHO) regenerate ${PROJECT}.pot
	$(QUIET)intltool-update --pot --gettext-package=${PROJECT}

update-po: ${PROJECT}.pot
	$(ECHO) updating po: files ${CATALOGS}
	$(QUIET)set -e && for f in ${CATALOGS} ; do \
		intltool-update --dist --gettext-package=${PROJECT} `echo $$f | sed 's/\.po//'` ; \
	done

%/LC_MESSAGES/${PROJECT}.mo: %.po
	@mkdir -p $(@D)
	$(ECHO) msgfmt $(shell echo $< | sed 's/\.po//')
	$(QUIET)msgfmt $< -o $@ -f

install: ${MOS}
	$(ECHO) installing translations
	$(QUIET)set -e && for f in $^ ; do \
		mkdir -p $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`dirname $$f` ; \
	done

uninstall: ${MOS}
	$(ECHO) removing translations
	$(QUIET)set -e && for f in $^ ; do \
		rm -f $(LOCALEDIR)/$$f; \
	done

.PHONY: all clean install uninstall update-po

=== debian/changelog ===
girara (0.1.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Add Build-Dep on gettext to build translation files.
  * debian/libgirara-common-dev.install: Removed. It shouldn't have been there
    in the first place.
  * debian/libgirara-gtk{2,3}-0.install: Install translations files.
  * debian/patch:
    - Add separate-mo-files patch to get two separate mo files for
      libgirara-gtk2-0 and libgirara-gtk3-0.
    - Add fix-translation from upstream to fix issues in the German
      translation.
    - Add patch msgfmt-endianness to run msgfmt with --endianness little for
      the same result on every architecture.
  * debian/rules: Build the translation files.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 15 Mar 2012 21:55:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  libgtk-3-dev,
  libgtk2.0-dev,
  pkg-config,
+ gettext,
  xauth,
  xvfb
 Build-Depends-Indep:

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_auto_build-arch:
 	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) ; \
+		GIRARA_GTK_VERSION=$$gtkver $(MAKE) all po ; \
 	done
 
 override_dh_auto_test-arch:

## girara 0.1.2

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,14 @@
 
 
 ifeq (,$(findstring -DGETTEXT_PACKAGE,${CPPFLAGS}))
-CPPFLAGS += -DGETTEXT_PACKAGE=\"${PROJECTNV}\"
+CPPFLAGS += -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"
 endif
 ifeq (,$(findstring -DLOCALEDIR,${CPPFLAGS}))
 CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
 endif
 
 
-all: options ${PROJECT}
+all: options ${PROJECT} po
 
 options:
 	@echo ${PROJECT} build options:
@@ -119,7 +119,7 @@
 update-po:
 	$(QUIET)${MAKE} -C po update-po
 
-install: all install-headers po
+install: all install-headers
 	$(ECHO) installing library file
 	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}
 	$(QUIET)install -m 644 lib${PROJECT}.a ${DESTDIR}${LIBDIR}

=== po/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 # See LICENSE file for license and copyright information
-
-PROJECT  = girara
-CATALOGS = $(wildcard *.po)
-MOS = $(patsubst %.po, %/LC_MESSAGES/${PROJECT}.mo, $(CATALOGS))
 
 include ../config.mk
 include ../common.mk
+
+PROJECTNV = girara
+PROJECT   = girara-gtk${GIRARA_GTK_VERSION}
+CATALOGS  = $(wildcard *.po)
+MOS = $(patsubst %.po, %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo, $(CATALOGS))
 
 all: ${MOS}
 
@@ -19,20 +20,20 @@
 	done && \
 	mv $@.tmp $@
 
-${PROJECT}.pot: POTFILES.in
-	$(ECHO) regenerate ${PROJECT}.pot
-	$(QUIET)intltool-update --pot --gettext-package=${PROJECT}
+${GETTEXT_PACKAGE}.pot: POTFILES.in
+	$(ECHO) regenerate $@
+	$(QUIET)intltool-update --pot --gettext-package=${GETTEXT_PACKAGE}
 
-update-po: ${PROJECT}.pot
-	$(ECHO) updating po: files ${CATALOGS}
+update-po: ${GETTEXT_PACKAGE}.pot
+	$(ECHO) updating po files: ${CATALOGS}
 	$(QUIET)set -e && for f in ${CATALOGS} ; do \
-		intltool-update --dist --gettext-package=${PROJECT} `echo $$f | sed 's/\.po//'` ; \
+		intltool-update --dist --gettext-package=${GETTEXT_PACKAGE} `echo $$f | sed 's/\.po//'` ; \
 	done
 
-%/LC_MESSAGES/${PROJECT}.mo: %.po
+%/LC_MESSAGES/${GETTEXT_PACKAGE}.mo: %.po
 	@mkdir -p $(@D)
 	$(ECHO) msgfmt $(shell echo $< | sed 's/\.po//')
-	$(QUIET)msgfmt $< -o $@ -f
+	$(QUIET)${MSGFMT} ${MSGFMTFLAGS} -c $< -o $@
 
 install: ${MOS}
 	$(ECHO) installing translations

=== tests/Makefile ===
# See LICENSE file for license and copyright information

include ../config.mk
include ../common.mk
include config.mk

SOURCE   = tests.c $(wildcard test_*.c)
OBJECTS  = ${SOURCE:.c=-gtk${GIRARA_GTK_VERSION}.o}
DOBJECTS = ${SOURCE:.c=-gtk${GIRARA_GTK_VERSION}.do}
XDG_HELPER_SOURCE = xdg_test_helper.c
XDG_HELPER = ${XDG_HELPER_SOURCE:.c=}

all: options girara_test-gtk${GIRARA_GTK_VERSION} ${XDG_HELPER}

run: girara_test-gtk${GIRARA_GTK_VERSION} ${XDG_HELPER}
	$(ECHO) "running tests ..."
	$(QUIET)G_SLICE=debug-blocks ./girara_test-gtk${GIRARA_GTK_VERSION}

debug: options girara_test-gtk${GIRARA_GTK_VERSION}-debug ${XDG_HELPER}

run-debug: debug
	$(ECHO) "running tests ..."
	$(QUIET)G_SLICE=debug-blocks ./girara_test-gtk${GIRARA_GTK_VERSION}-debug

options:
	@echo ${PROJECT} build options:
	@echo "CFLAGS  = ${CFLAGS}"
	@echo "LDFLAGS = ${LDFLAGS}"
	@echo "DFLAGS  = ${DFLAGS}"
	@echo "CC      = ${CC}"

%-gtk${GIRARA_GTK_VERSION}.o: %.c
	@mkdir -p .depend
	$(ECHO) CC $<
	$(QUIET)${CC} -c -I.. ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

${XDG_HELPER}: ${XDG_HELPER_SOURCE} ../libgirara-gtk${GIRARA_GTK_VERSION}.a
	@mkdir -p .depend
	$(ECHO) CC $<
	$(QUIET)${CC}  -I.. ${CPPFLAGS} ${CFLAGS} -o $@ $< ../libgirara-gtk${GIRARA_GTK_VERSION}.a ${LIBS} -MMD -MF .depend/$@.dep

%-gtk${GIRARA_GTK_VERSION}.do: %.c
	@mkdir -p .depend
	$(ECHO) CC $<
	$(QUIET)${CC} -c -I.. ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

girara_test-gtk${GIRARA_GTK_VERSION}: ${OBJECTS} ../libgirara-gtk${GIRARA_GTK_VERSION}.a
	$(ECHO) LD $@
	$(QUIET)${CC} ${LDFLAGS} -o $@ ${OBJECTS} ../libgirara-gtk${GIRARA_GTK_VERSION}.a ${LIBS}

girara_test-gtk${GIRARA_GTK_VERSION}-debug: ${DOBJECTS} ../libgirara-gtk${GIRARA_GTK_VERSION}-debug.a
	$(ECHO) LD $@
	$(QUIET)${CC} ${LDFLAGS} -o $@ ${DOBJECTS} ../libgirara-gtk${GIRARA_GTK_VERSION}-debug.a ${LIBS}

${DOBJECTS} ${OBJECTS}: ../config.mk

clean:
	$(QUIET)rm -rf ${OBJECTS} ${DOBJECTS} girara_test-gtk${GIRARA_GTK_VERSION} \
		girara_test-gtk${GIRARA_GTK_VERSION}-debug .depend ${XDG_HELPER} *gcda *gcno

.PHONY: all options clean debug run run-debug

-include $(wildcard .depend/*.dep)

=== debian/changelog ===
girara (0.1.2-3) unstable; urgency=low

  [ Sebastian Ramacher ]
  * debian/rules:
    - Call rm with -f to remove installdox since  doxygen 1.8.1-1 stopped to
      generate it. Thanks to Lucas Nussbaum for the report. (Closes: #674297)
    - Call xvfb-run with -a to prevent FTBFS if there is already another xvfb
      instance running.

  [ Jakub Wilk ]
  * Add DM-Upload-Allowed.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 24 May 2012 19:24:25 +0200

girara (0.1.2-2) unstable; urgency=low

  * debian/copyright: Fix formatting.
  * debian/patches:
    - Add patch unset-HOME from upstream to fix test failure if HOME is set.
      Thanks to Lucas Nussbaum for the report. (Closes: #669548)
    - Add patch fix-errno-usage from upstream to fix errno usage in the test
      suite. Thanks to Jakub Wilk for the report. (Closes: #666416)
    - Add patch update-translations for updated and new translations.
    - Add patch fix-gtk-3.4-deprecation-warnings to fix deprecation warnings
      when built against GTK+ 3.4.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 20 Apr 2012 15:35:51 +0200

girara (0.1.2-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/rules:
    - Set MSGFMTFLAGS=--endianness little. This makes
      debian/patches/msgfmt-endianness obsolete.
    - Set CK_DEFAULT_TIMEOUT=0 to disable check's timeout functionality. The
      tests may take longer than the default timeout of 4 seconds.
    - Upstream's build system now builds the mo pages in the default target so
      there is no need to call it manually anymore.
  * debian/patches:
    - Drop msgfmt-endianness: obsolete.
    - Drop separate-mo-files: not needed anymore as this is fixed upstream.
    - Drop fix-translation: not needed anymore.
  * debian/libgirara-symbols.common: Add new symbols.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sat, 24 Mar 2012 23:44:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
 Uploaders: Jakub Wilk <jwilk@debian.org>
+DM-Upload-Allowed: yes
 Build-Depends:
  check,
  debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 export VERBOSE=1
 # install into multiarch libdir
 export LIBDIR=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# disable check's timeout funtionality
+export CK_DEFAULT_TIMEOUT=0
+# use little endian mo files everywhere
+export MSGFMTFLAGS=--endianness little
 
 %:
 	dh $@
@@ -20,12 +24,12 @@
 
 override_dh_auto_build-arch:
 	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) all po ; \
+		GIRARA_GTK_VERSION=$$gtkver $(MAKE) ; \
 	done
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run sh -c 'set -e; for gtkver in 2 3 ; do \
+	xvfb-run -a sh -c 'set -e; for gtkver in 2 3 ; do \
 		GIRARA_GTK_VERSION=$$gtkver $(MAKE) test ; \
 	done'
 endif
@@ -43,7 +47,8 @@
 	# and replace it with the one from libjs-jquery
 ifneq "$(wildcard /usr/bin/doxygen)" ""
 	$(MAKE) doc ;
-	rm doc/html/installdox doc/html/jquery.js
+	rm -f doc/html/installdox
+	rm doc/html/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js
 endif

## girara 0.1.6

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,9 @@
 ${OBJECTS}:  config.mk version.h
 ${DOBJECTS}: config.mk version.h
 
-${PROJECT}: lib${PROJECT}.a lib${PROJECT}.so.${SOVERSION}
+${PROJECT}: static shared
+static: lib${PROJECT}.a
+shared: lib${PROJECT}.so.${SOVERSION}
 
 lib${PROJECT}.a: ${OBJECTS}
 	$(ECHO) AR rcs $@
@@ -119,23 +121,29 @@
 update-po:
 	$(QUIET)${MAKE} -C po update-po
 
-install: all install-headers
-	$(ECHO) installing library file
-	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}
+install-static: static
+	$(ECHO) installing static library
+	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}
 	$(QUIET)install -m 644 lib${PROJECT}.a ${DESTDIR}${LIBDIR}
+
+install-shared: shared
+	$(ECHO) installing shared library
+	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}
 	$(QUIET)install -m 644 lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}
 	$(QUIET)ln -s lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}/lib${PROJECT}.so.${SOMAJOR} || \
 		echo "Failed to create lib${PROJECT}.so.${SOMAJOR}. Please check if it exists and points to the correct version of lib${PROJECT}.so."
 	$(QUIET)ln -s lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}/lib${PROJECT}.so || \
 		echo "Failed to create lib${PROJECT}.so. Please check if it exists and points to the correct version of lib${PROJECT}.so."
-	$(QUIET)${MAKE} -C po install
+
+install: options po install-static install-shared install-headers
+		$(QUIET)${MAKE} -C po install
 
 install-headers: version.h ${PROJECT}.pc
 	$(ECHO) installing pkgconfig file
-	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}/pkgconfig
+	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}/pkgconfig
 	$(QUIET)install -m 644 ${PROJECT}.pc ${DESTDIR}${LIBDIR}/pkgconfig
 	$(ECHO) installing header files
-	$(QUIET)mkdir -p ${DESTDIR}${INCLUDEDIR}/girara
+	$(QUIET)mkdir -m 755 -p ${DESTDIR}${INCLUDEDIR}/girara
 	$(QUIET)install -m 644 ${HEADERS_INSTALL} ${DESTDIR}${INCLUDEDIR}/girara
 
 uninstall: uninstall-headers
@@ -151,7 +159,8 @@
 	$(QUIET)rm -f ${LIBDIR}/pkgconfig/${PROJECT}.pc
 
 .PHONY: all options clean debug doc test dist install install-headers uninstall \
-	uninstall-headers ${PROJECT} ${PROJECT}-debug po update-po
+	uninstall-headers ${PROJECT} ${PROJECT}-debug po update-po \
+	static shared install-static install-shared
 
 TDEPENDS = ${OBJECTS:.o=.o.dep}
 DEPENDS = ${TDEPENDS:^=.depend/}

=== debian/changelog ===
girara (0.1.6-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/check-missing-pthread.patch: Link against pthread manually
    since check's pkg-config doesn't include it. See #712140 for details.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Jun 2013 21:09:50 +0200

girara (0.1.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Remove Jakub Wilk from Uploaders on his request. Thank you
    for all your work on girara, Jakub.
  * debian/patches:
    - add-translations.patch: Removed, not needed anymore.
    - glib-2.35.3-HOME.patch: Fix handling of HOME in testsuite with glib >=
      2.35.3.
  * debian/libgirara.common.symbols: Add new symbols.
  * debian/rules: Run dh with --parallel.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 13 May 2013 13:21:49 +0200

girara (0.1.5-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Drop old patches, not needed anymore.
    - add-translations.patch: Add Greek and Portuguese (Brazil) translations
      from upstream.
  * debian/libgirara.common.symbols: Add new symbols.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Jan 2013 23:23:00 +0100

girara (0.1.4-2) experimental; urgency=low

  * debian/control:
    - Update my mail address.
    - Remove DMUA, not needed anymore.
    - Bump Standards-Version to 3.9.4 (no changes required).
  * debian/copyright: Update my mail address.
  * debian/patches:
    - Add map-home-end.patch: Make Home and End mappable. Thanks to Yuri
      D'Elia for the patch. (Closes: #693803)
    - Add locale-independent-strtod.patch: Use a locale-independent version
      of strtod to parse floating point numbers.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Nov 2012 21:35:59 +0100

girara (0.1.4-1) experimental; urgency=low

  * New upstream release.
  * d/libgirara.common.symbols: Add new symbols.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 04 Sep 2012 13:42:07 +0200

girara (0.1.3-1) experimental; urgency=low

  * New upstream release.
  * Bump SONAME.
    - Rename libgirara-gtk2-0 to libgirara-gtk2-1.
    - Rename libgirara-gtk3-0 to libgirara-gtk3-1.
  * debian/patches: Remove all patches, not needed anymore.
  * debian/libgirara.common.symbols: Add new symbols and bump minimal version
    of all other symbols.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 21 Jun 2012 10:31:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
-Uploaders: Jakub Wilk <jwilk@debian.org>
-DM-Upload-Allowed: yes
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
  debhelper (>= 9),
@@ -15,10 +13,10 @@
  xvfb
 Build-Depends-Indep:
  doxygen
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pwmt.org/projects/girara/
 
-Package: libgirara-gtk2-0
+Package: libgirara-gtk2-1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -38,7 +36,7 @@
  .
  This package contains the shared libraries linked against GTK+ 2.
 
-Package: libgirara-gtk3-0
+Package: libgirara-gtk3-1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -64,11 +62,11 @@
 Multi-Arch: same
 Priority: extra
 Depends:
- libgirara-gtk2-0 | libgirara-gtk3-0,
+ libgirara-gtk2-1 | libgirara-gtk3-1,
  ${misc:Depends}
 Breaks:
- libgirara-gtk2-0 (<< ${binary:Version}),
- libgirara-gtk3-0 (<< ${binary:Version})
+ libgirara-gtk2-1 (<< ${binary:Version}),
+ libgirara-gtk3-1 (<< ${binary:Version})
 Description: library for minimalistic user interfaces (debugging symbols)
  A library focused at implementing minimalistic user interfaces. It provides
  three main components: a view widget that represents the actual application,
@@ -82,8 +80,8 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk2-0 (= ${binary:Version}),
- libgirara-gtk3-0 (= ${binary:Version}),
+ libgirara-gtk2-1 (= ${binary:Version}),
+ libgirara-gtk3-1 (= ${binary:Version}),
  libgtk2.0-dev,
  libgtk-3-dev,
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export MSGFMTFLAGS=--endianness little
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_clean:
 	set -e; for gtkver in 2 3 ; do \

## girara 0.1.7

=== Makefile ===
--- 
+++ 
@@ -130,9 +130,9 @@
 	$(ECHO) installing shared library
 	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}
 	$(QUIET)install -m 644 lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}
-	$(QUIET)ln -s lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}/lib${PROJECT}.so.${SOMAJOR} || \
+	$(QUIET)ln -sf lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}/lib${PROJECT}.so.${SOMAJOR} || \
 		echo "Failed to create lib${PROJECT}.so.${SOMAJOR}. Please check if it exists and points to the correct version of lib${PROJECT}.so."
-	$(QUIET)ln -s lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}/lib${PROJECT}.so || \
+	$(QUIET)ln -sf lib${PROJECT}.so.${SOVERSION} ${DESTDIR}${LIBDIR}/lib${PROJECT}.so || \
 		echo "Failed to create lib${PROJECT}.so. Please check if it exists and points to the correct version of lib${PROJECT}.so."
 
 install: options po install-static install-shared install-headers

=== debian/changelog ===
girara (0.1.7-2) unstable; urgency=low

  * debian/patches/statusbar-layout: Apply upstream patches to fix the layout
    of the statusbar with small fonts.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 25 Aug 2013 18:50:19 +0200

girara (0.1.7-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Re-enable test suite on kfreebsd-amd64. (Closes: #712273)
  * debian/patches/glib-2.35.3-HOME.patch: Removed, not needed anymore.
  * debian/libgirara.common.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Aug 2013 01:04:00 +0200

girara (0.1.6-3) unstable; urgency=low

  * debian/rules: Don't run test suite on kfreebsd-amd64 since check is broken
    there (cf. #712196).

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 14 Jun 2013 20:42:46 +0200

## girara 0.1.8

=== debian/changelog ===
girara (0.1.8-2) unstable; urgency=low

  * debian/patches/less-strict-fix-path-test.patch: Be less strict in
    girara_fix_path test.
  * debian/libgirara-gtk{2,3}-1.symbols: Add Build-Depends-Package.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Nov 2013 02:23:04 +0100

girara (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/statusbar-layout: Removed, no longer needed.
  * debian/compat: Bump Standards-Version to 3.9.5.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Nov 2013 21:18:48 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,14 @@
  xvfb
 Build-Depends-Indep:
  doxygen
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://pwmt.org/projects/girara/
 
 Package: libgirara-gtk2-1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  xdg-utils,
  ${misc:Depends},
@@ -39,7 +40,8 @@
 Package: libgirara-gtk3-1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  xdg-utils,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	# build documentation if doxygen is available and remove the copy of jquery
 	# and replace it with the one from libjs-jquery
 ifneq "$(wildcard /usr/bin/doxygen)" ""
-	$(MAKE) doc ;
+	$(MAKE) doc
 	rm -f doc/html/installdox
 	rm doc/html/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js

## girara 0.1.9

=== Makefile ===
--- 
+++ 
@@ -30,9 +30,9 @@
 	@echo "CC      = ${CC}"
 
 version.h: version.h.in config.mk
-	$(QUIET)sed 's/GVMAJOR/${GIRARA_VERSION_MAJOR}/' < version.h.in | \
-		sed 's/GVMINOR/${GIRARA_VERSION_MINOR}/' | \
-		sed 's/GVREV/${GIRARA_VERSION_REV}/' > version.h
+	$(QUIET)sed -e 's/GVMAJOR/${GIRARA_VERSION_MAJOR}/' \
+		-e 's/GVMINOR/${GIRARA_VERSION_MINOR}/' \
+		-e 's/GVREV/${GIRARA_VERSION_REV}/' version.h.in > version.h
 
 %-gtk${GIRARA_GTK_VERSION}.o: %.c
 	@mkdir -p .depend

=== po/Makefile ===
--- 
+++ 
@@ -3,10 +3,16 @@
 include ../config.mk
 include ../common.mk
 
-PROJECTNV = girara
-PROJECT   = girara-gtk${GIRARA_GTK_VERSION}
-CATALOGS  = $(wildcard *.po)
-MOS = $(patsubst %.po, %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo, $(CATALOGS))
+PROJECTNV  = girara
+PROJECT    = girara-gtk${GIRARA_GTK_VERSION}
+CATALOGS   = $(wildcard *.po)
+LINGUAS   ?= $(patsubst %.po, %, $(CATALOGS))
+ifeq ($(LINGUAS),)
+ALINGUAS   =
+else
+ALINGUAS   = $(shell find $(patsubst %, %.po, $(LINGUAS)) 2>/dev/null)
+endif
+MOS = $(patsubst %, %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo, $(patsubst %.po, %, $(ALINGUAS)))
 
 all: ${MOS}
 
@@ -28,6 +34,7 @@
 	$(ECHO) updating po files: ${CATALOGS}
 	$(QUIET)set -e && for f in ${CATALOGS} ; do \
 		intltool-update --dist --gettext-package=${GETTEXT_PACKAGE} `echo $$f | sed 's/\.po//'` ; \
+		sed -i 's/Report-Msgid-Bugs-To: \\n/Report-Msgid-Bugs-To: http:\/\/bugs.pwmt.org\\n/'  "$$f" ; \
 	done
 
 %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo: %.po
@@ -38,7 +45,7 @@
 install: ${MOS}
 	$(ECHO) installing translations
 	$(QUIET)set -e && for f in $^ ; do \
-		mkdir -p $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
+		mkdir -p -m 755 $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
 		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`dirname $$f` ; \
 	done

=== tests/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 ${XDG_HELPER}: ${XDG_HELPER_SOURCE} ../libgirara-gtk${GIRARA_GTK_VERSION}.a
 	@mkdir -p .depend
 	$(ECHO) CC $<
-	$(QUIET)${CC}  -I.. ${CPPFLAGS} ${CFLAGS} -o $@ $< ../libgirara-gtk${GIRARA_GTK_VERSION}.a ${LIBS} -MMD -MF .depend/$@.dep
+	$(QUIET)${CC}  -I.. ${CPPFLAGS} ${CFLAGS} -o $@ $< ../libgirara-gtk${GIRARA_GTK_VERSION}.a ${LDFLAGS} ${LIBS} -MMD -MF .depend/$@.dep
 
 %-gtk${GIRARA_GTK_VERSION}.do: %.c
 	@mkdir -p .depend

=== debian/changelog ===
girara (0.1.9-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fix-gtk3-scroll.patch: Removed, no longer needed.
  * No longer build GTK+ 2 flavor. zathura now uses GTK+ 3 and the GTK+ 2
    flavor is no longer needed:
    - debian/control:
      + Drop libgirara-gtk-2-1.
      + Add Breaks: zathura-dev (<< 0.2.5-1) to libgirara-dev.
      + Remove libgtk2.0-dev from Build-Depends and libgirara-dev's Depends.
    - debian/rules: Remove all code to build both flavors since it is no
      longer needed.
    - debian/libgirara-gtk2-1.{install,symbols}: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Nov 2013 19:12:55 +0100

girara (0.1.8-3) unstable; urgency=low

  * debian/patches/fix-gtk3-scroll.patch: Upstream patch to fix handling of
    scroll events with GTK+ 3.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Nov 2013 12:59:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  check,
  debhelper (>= 9),
  libgtk-3-dev,
- libgtk2.0-dev,
  pkg-config,
  gettext,
  xauth,
@@ -15,27 +14,6 @@
  doxygen
 Standards-Version: 3.9.5
 Homepage: http://pwmt.org/projects/girara/
-
-Package: libgirara-gtk2-1
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- xdg-utils,
- ${misc:Depends},
- ${shlibs:Depends}
-Suggests:
- libgirara-dbg (= ${binary:Version})
-Breaks:
- libgirara-dbg (<< ${binary:Version})
-Description: library for minimalistic user interfaces (shared libraries, GTK+ 2)
- A library focused at implementing minimalistic user interfaces. It provides
- three main components: a view widget that represents the actual application,
- an input bar to execute application specific commands and a status bar which
- provides information to the user.
- .
- This package contains the shared libraries linked against GTK+ 2.
 
 Package: libgirara-gtk3-1
 Architecture: any
@@ -64,11 +42,8 @@
 Multi-Arch: same
 Priority: extra
 Depends:
- libgirara-gtk2-1 | libgirara-gtk3-1,
+ libgirara-gtk3-1 (= ${binary:Version}),
  ${misc:Depends}
-Breaks:
- libgirara-gtk2-1 (<< ${binary:Version}),
- libgirara-gtk3-1 (<< ${binary:Version})
 Description: library for minimalistic user interfaces (debugging symbols)
  A library focused at implementing minimalistic user interfaces. It provides
  three main components: a view widget that represents the actual application,
@@ -82,13 +57,13 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk2-1 (= ${binary:Version}),
  libgirara-gtk3-1 (= ${binary:Version}),
- libgtk2.0-dev,
  libgtk-3-dev,
  ${misc:Depends}
 Suggests:
  libgirara-doc (= ${source:Version})
+Breaks:
+ zathura-dev (<< 0.2.5-1)
 Description: library for minimalistic user interfaces (development files)
  A library focused at implementing minimalistic user interfaces. It provides
  three main components: a view widget that represents the actual application,

=== debian/rules ===
--- 
+++ 
@@ -17,27 +17,10 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_clean:
-	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) clean ; \
-	done
-
-override_dh_auto_build-arch:
-	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) ; \
-	done
-
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run -a sh -c 'set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) test ; \
-	done'
+	xvfb-run -a $(MAKE) test
 endif
-
-override_dh_auto_install-arch:
-	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp ; \
-	done
 
 override_dh_strip:
 	dh_strip --dbg-package=libgirara-dbg
@@ -52,5 +35,5 @@
 	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js
 endif
 
-# no tests and install for indep
 override_dh_auto_test-indep override_dh_auto_install-indep:
+	# no tests and install for indep

=== debian/watch ===
version=3
http://pwmt.org/projects/girara/download girara-(.*)\.tar\.gz
